libcoap.h File Reference
`#include <netinet/in.h>`
`#include <sys/socket.h>`
Include dependency graph for libcoap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | COAP_STATIC_INLINE static inline
#define | COAP_DEPRECATED __attribute__ ((deprecated))

## Functions

void | coap_startup (void)
void | coap_cleanup (void)

## Macro Definition Documentation

## COAP_DEPRECATED

#define COAP_DEPRECATED __attribute__ ((deprecated))

Definition at line 46 of file libcoap.h.

## COAP_STATIC_INLINE

#define COAP_STATIC_INLINE static inline

Definition at line 38 of file libcoap.h.

## Function Documentation

## coap_cleanup()

void coap_cleanup | ( | void |  | ) |

Definition at line 2594 of file net.c.

## coap_startup()

void coap_startup | ( | void |  | ) |

Definition at line 2575 of file net.c.

Here is the call graph for this function:
Here is the caller graph for this function: